Feature: git ship: errors when trying to ship the supplied feature branch that has no differences with the main branch

  (see ../../current_branch/on_feature_branch/without_open_changes/no_diff.feature)


  Background:
    Given I have feature branches named "empty-feature" and "other-feature"
    And the following commit exists in my repository
      | BRANCH        | LOCATION | MESSAGE        | FILE NAME   | FILE CONTENT   |
      | main          | remote   | main commit    | common_file | common content |
      | empty-feature | local    | feature commit | common_file | common content |
    And I am on the "other-feature" branch
    And I have an uncommitted file
    When I run `git ship empty-feature`


  Scenario: result
    Then it runs the commands
      | BRANCH        | COMMAND                                      |
      | other-feature | git fetch --prune                            |
      |               | git stash -u                                 |
      |               | git checkout main                            |
      | main          | git rebase origin/main                       |
      |               | git checkout empty-feature                   |
      | empty-feature | git merge --no-edit origin/empty-feature     |
      |               | git merge --no-edit main                     |
      |               | git reset --hard <%= sha 'feature commit' %> |
      |               | git checkout main                            |
      | main          | git checkout other-feature                   |
      | other-feature | git stash pop                                |
    And I get the error "The branch 'empty-feature' has no shippable changes"
    And I am still on the "other-feature" branch
    And I still have my uncommitted file
